import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'nguip-boolinput',
  templateUrl: './boolinput.component.html',
  styleUrls: ['./boolinput.component.css']
})
export class BoolinputComponent {
  @Input() type: string;
  @Input() label?: string;
  @Input() theme ? = 'round'; // can also be square
  inputDisabled = true;
  constructor() { }

  updateInput(event: any) {
    if (event.target.checked) {
      this.inputDisabled = false;
    } else {
      this.inputDisabled = true;
    }
  }
}
