import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentsComponent } from './components.component';
import { NavigatorComponent } from './navigator/navigator.component';
import { CommonModule } from '@angular/common';
import { BoolinputComponent } from './boolinput/boolinput.component';
import { RouterModule } from '@angular/router';

@NgModule({
  imports: [
    CommonModule,
    RouterModule
  ],
  declarations: [ComponentsComponent, NavigatorComponent, BoolinputComponent],
  exports: [
    ComponentsComponent, CommonModule,
    NavigatorComponent, BoolinputComponent
  ],
  schemas: [
    CUSTOM_ELEMENTS_SCHEMA
  ]
})
export class UIPlusComponentsModule { }
